package com.ejie.ad74a.util.constantes;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Clase Java para tipoDocumentoEnum.
 * 
 * <p>El siguiente fragmento de esquema especifica el contenido que se espera que haya en esta clase.
 * <p>
 * <pre>
 * &lt;simpleType name="tipoDocumentoEnum"&gt;
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string"&gt;
 *     &lt;enumeration value="DNI"/&gt;
 *     &lt;enumeration value="CIF"/&gt;
 *     &lt;enumeration value="NIE"/&gt;
 *     &lt;enumeration value="PASAPORTE"/&gt;
 *     &lt;enumeration value="OTROS"/&gt;
 *   &lt;/restriction&gt;
 * &lt;/simpleType&gt;
 * </pre>
 * 
 */
@XmlType(name = "tipoDocumentoEnum")
@XmlEnum
public enum TipoDocumentoEnum {

    DNI("DNI"),
    CIF("CIF"),
    NIE("NIE"),
    PASAPORTE("Pasaporte"),
    OTROS("Otros");
	
	private String id;
	
	private TipoDocumentoEnum(String id) {
		this.id = id;
	}
	
    public String value() {
        return name();
    }

    public static TipoDocumentoEnum fromValue(String v) {
        return valueOf(v);
    }

	public String getId() {
		return id;
	}

}
